API server
https://app.coolify.io/api/v1Get log drain settings for a server owned by the authenticated team. Sensitive fields require the read:sensitive or root token ability.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
Server UUID
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://app.coolify.io/api/v1/servers/string/log-drains"{ "is_logdrain_newrelic_enabled": true, "logdrain_newrelic_license_key": "string", "logdrain_newrelic_base_uri": "string", "is_logdrain_axiom_enabled": true, "logdrain_axiom_dataset_name": "string", "logdrain_axiom_api_key": "string", "is_logdrain_custom_enabled": true, "logdrain_custom_config": "string", "logdrain_custom_config_parser": "string"}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}Get Docker cleanup settings GET
Get Docker cleanup settings for a server owned by the authenticated team.
Get server proxy GET
Get proxy settings for a server owned by the authenticated team. The raw proxy configuration is only returned when the token has `read:sensitive` (or `root`) and the user is a team admin/owner, and only when already stored in the database (no remote fetch).
